package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套系对象 po_tether
 *
 * @author ruoyi
 * @date 2023-02-12
 */
public class PoTether extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 套系id */
    private Long tetherId;

    /** 套系名字 */
    @Excel(name = "套系名字")
    private String tetherName;
    /**
     * 套系售卖状态
     */
    private Integer sellStatus;

    /**
     * 套系图片
     */
    private String image;

    /** 展示时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "展示时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date showTime;

    /** 数量 */
    @Excel(name = "数量")
    private Long total;

    /** 状态（0已上架 1未上架 2已上链 3未上链） */
    @Excel(name = "状态", readConverterExp = "0=已上架,1=未上架,2=已上链,3=未上链")
    private Integer status;

    private String delFlag;

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setTetherId(Long tetherId)
    {
        this.tetherId = tetherId;
    }

    public Long getTetherId()
    {
        return tetherId;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getImage() {
        return image;
    }

    public void setSellStatus(Integer sellStatus) {
        this.sellStatus = sellStatus;
    }

    public Integer getSellStatus() {
        return sellStatus;
    }

    public void setTetherName(String tetherName)
    {
        this.tetherName = tetherName;
    }

    public String getTetherName()
    {
        return tetherName;
    }
    public void setShowTime(Date showTime)
    {
        this.showTime = showTime;
    }

    public Date getShowTime()
    {
        return showTime;
    }
    public void setTotal(Long total)
    {
        this.total = total;
    }

    public Long getTotal()
    {
        return total;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("tetherId", getTetherId())
                .append("tetherName", getTetherName())
                .append("showTime", getShowTime())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("total", getTotal())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("sellStatus",getSellStatus())
                .append("delFlag",getDelFlag())
                .append("image",getImage())
                .toString();
    }
}
